Bug 193078 - x11/nvidia-settings: no longer strips 'bin/nvidia-settings' after update to 340.24
Summary: x11/nvidia-settings: no longer strips 'bin/nvidia-settings' after update to 3...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: John Marino
URL:
Keywords:
Depends on:
Blocks: 192543
  Show dependency treegraph
 
Reported: 2014-08-27 20:27 UTC by Jan Beich
Modified: 2014-11-25 18:07 UTC (History)
2 users (show)

See Also:


Attachments
patch (2.14 KB, patch)
2014-08-27 20:27 UTC, Jan Beich
no flags Details | Diff
10.0 amd64 log (patch applied) (180.89 KB, text/plain)
2014-08-27 20:29 UTC, Jan Beich
no flags Details
patch (2.13 KB, patch)
2014-08-27 22:35 UTC, Jan Beich
no flags Details | Diff
poudriere testport log (9.3R i386) (185.30 KB, text/plain)
2014-08-27 22:36 UTC, Jan Beich
no flags Details
poudriere testport log (9.3R i386) (168.41 KB, text/plain)
2014-08-27 22:47 UTC, Jan Beich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2014-08-27 20:27:54 UTC
Created attachment 146399 [details]
patch

|poudriere testport| shows the following after bug 192543 accidentally removed INSTALL_PROGRAM patch.

  ====> Running Q/A tests (stage-qa)
  Warning: 'bin/nvidia-settings' is not stripped consider trying INSTALL_TARGET=install-strip or using ${STRIP_CMD}

My patch changes:
- replace INSTALL_PROGRAM patches with MAKE_ENV substitutions
- |prefix| variable and static library no longer exist
- move LDFLAGS to the port's Makefile
Comment 1 Jan Beich freebsd_committer 2014-08-27 20:29:36 UTC
Created attachment 146403 [details]
10.0 amd64 log (patch applied)
Comment 2 Kevin Bowling freebsd_committer 2014-08-27 20:59:40 UTC
Can you also supply a patch for https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=192953
Comment 3 Jan Beich freebsd_committer 2014-08-27 21:47:26 UTC
Why mix? For one, I don't include bug 167229 every time to not force review process. But if you insist...
Comment 4 Jan Beich freebsd_committer 2014-08-27 22:21:24 UTC
Doh, build is broken on pre-10.x because of fmake:

# 10.x or devel/bmake
$ make
bar

# [89].x or devel/fmake
$ make
foo bar}

$ cat Makefile
TEST=foo bar
FOO=foo

all:
	@echo ${TEST:N${FOO}}
Comment 5 Jan Beich freebsd_committer 2014-08-27 22:35:32 UTC
Created attachment 146417 [details]
patch

just expand the value

--- before
+++ after
@@ -13,8 +13,8 @@ Index: x11/nvidia-settings/Makefile
 -		INSTALL_PROGRAM="${INSTALL_PROGRAM}" \
 -		INSTALL_MAN="${INSTALL_MAN}" \
 -		prefix=${PREFIX} \
-+		INSTALL_BIN_ARGS="${INSTALL_PROGRAM:N${INSTALL}}" \
-+		INSTALL_DOC_ARGS="${INSTALL_MAN:N${INSTALL}}" \
++		INSTALL_BIN_ARGS="${INSTALL_PROGRAM:Ninstall}" \
++		INSTALL_DOC_ARGS="${INSTALL_MAN:Ninstall}" \
  		X_CFLAGS=-I${LOCALBASE}/include \
  		X_LDFLAGS=-L${LOCALBASE}/lib
Comment 6 Jan Beich freebsd_committer 2014-08-27 22:36:13 UTC
Created attachment 146418 [details]
poudriere testport log (9.3R i386)
Comment 7 Jan Beich freebsd_committer 2014-08-27 22:43:10 UTC
Comment on attachment 146418 [details]
poudriere testport log (9.3R i386)

wrong log
Comment 8 Jan Beich freebsd_committer 2014-08-27 22:47:46 UTC
Created attachment 146421 [details]
poudriere testport log (9.3R i386)
Comment 9 John Marino freebsd_committer 2014-11-24 19:27:02 UTC
Jan, is this PR still valid?
Technically it's on a maintainer time-out.
Comment 10 Jan Beich freebsd_committer 2014-11-25 01:15:39 UTC
Only ports r367888 touched the port since the bug was opened and the warning is still present in yesterday checkout of ports. Without port update or independent fix the bug can only become invalid if pkg/bsd.port.mk start to strip(1) binaries automatically.
Comment 11 John Marino freebsd_committer 2014-11-25 07:12:15 UTC
I'll take the PR.
Comment 12 commit-hook freebsd_committer 2014-11-25 18:06:59 UTC
A commit references this bug:

Author: marino
Date: Tue Nov 25 18:06:51 UTC 2014
New revision: 373423
URL: https://svnweb.freebsd.org/changeset/ports/373423

Log:
  x11/nvidia-settings: restore stripping of program during install

  PR:		193078
  Submitted by:	Jan Beich
  Approved by:	maintainer timeout (3 months)

Changes:
  head/x11/nvidia-settings/Makefile
  head/x11/nvidia-settings/files/
Comment 13 John Marino freebsd_committer 2014-11-25 18:07:57 UTC
done, thanks!